<div class="card">
    <div class="card-header">
        <div class="row">
            <div class="col col-md-6">
                <h5 class="card-title">
                    {{ 'Rentals' | abpLocalization }}
                </h5>
            </div>
            <div class="text-end col col-md-6">

                <div class="text-lg-end pt-2">
                    <button id="create" class="btn btn-primary" type="button" (click)="createRental()">
                        <i class="fa fa-plus me-1"></i>
                        <span>{{ "::New Rental" | abpLocalization }}</span>
                    </button>
                </div>
            </div>

            <div class="col-md-4">
                <div class="input-group mb-3">
                    <input type="text" class="form-control" placeholder="{{ '::Search' | abpLocalization }}"
                        [(ngModel)]="searchTerm" (input)="onSearchTermChange()">

                    <button class="btn btn-outline-secondary" type="button" (click)="searchRentals()">
                        {{ '::Search' | abpLocalization }}
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div class="card-body">
        <ngx-datatable [rows]="rental.items" [count]="rental.totalCount" [list]="list" default>
            <ngx-datatable-column *ngIf="hasEditPermission || hasDeletePermission"
                [name]="'::Actions' | abpLocalization" [maxWidth]="150" [sortable]="false">
                <ng-template let-row="row" ngx-datatable-cell-template>
                    <div ngbDropdown container="body" class="d-inline-block">
                        <button class="btn btn-primary btn-sm dropdown-toggle" data-toggle="dropdown"
                            aria-haspopup="true" ngbDropdownToggle>
                            <i class="fa fa-cog me-1"></i>{{ '::Actions' | abpLocalization }}
                        </button>
                        <div ngbDropdownMenu>
                            <button *abpPermission="'ExampAbp.Library.Edit'" ngbDropdownItem (click)="editRental(row)">
                                {{ '::Edit' | abpLocalization }}
                            </button>
                            <button *abpPermission="'ExampAbp.Library.Delete'" ngbDropdownItem (click)="delete(row.id)">
                                {{ '::Delete' | abpLocalization }}
                            </button>
                            <ng-container *ngIf="row.status == false">
                                <button *abpPermission="'ExampAbp.Library.Edit'" ngbDropdownItem
                                    (click)="updateStatus(row)">Teslim Et</button>
                            </ng-container>
                        </div>
                    </div>
                </ng-template>
            </ngx-datatable-column>
            <ngx-datatable-column [name]="'::BookName' | abpLocalization" prop="bookName"></ngx-datatable-column>
            <ngx-datatable-column [name]="'::RentalDate' | abpLocalization" prop="rentalDate">
                <ng-template let-row="row" ngx-datatable-cell-template>
                    <span>{{ formatRentalDate(row.rentalDate) }}</span>
                </ng-template>
            </ngx-datatable-column>
            <ngx-datatable-column [name]="'::ReturnDate' | abpLocalization" prop="returnDate">
                <ng-template let-row="row" ngx-datatable-cell-template>
                    <span>{{ formatRentalDate(row.returnDate) }}</span>
                </ng-template>
            </ngx-datatable-column>
            <ngx-datatable-column [name]="'::Status' | abpLocalization" prop="status">
                <ng-template let-row="row" ngx-datatable-cell-template>
                    <span [ngClass]="{ 'text-success': row.status, 'text-danger': !row.status }">
                        {{ row.status ? 'Teslim Edildi' : 'Teslim Edilmedi' }}
                    </span>
                </ng-template>
            </ngx-datatable-column>
            <ngx-datatable-column [name]="'::UserName' | abpLocalization" prop="userName"></ngx-datatable-column>
        </ngx-datatable>
    </div>
</div>
<abp-modal [(visible)]="isModalOpen">
    <ng-template #abpHeader>
        <h3>{{ (selectedRental.id ? '::Edit' : '::NewRental' ) | abpLocalization }}</h3>
    </ng-template>

    <ng-template #abpBody>
        <form [formGroup]="formGroup" (ngSubmit)="save()">
            <div class="mt-2">
                <label for="rental-bookName">BookName</label><span> * </span>
                <input type="text" id="rental-bookName" class="form-control" formControlName="bookName" autofocus />
            </div>
            <div class="mt-2">
                <label for="rental-rentalDate">Rental Date</label><span> * </span>
                <input type="date" id="rental-rentalDate" class="form-control" formControlName="rentalDate" autofocus />
            </div>
            <div class="mt-2">
                <label for="rental-returnDate">Return Date</label><span> * </span>
                <input type="date" id="rental-returnDate" class="form-control" formControlName="returnDate" autofocus />
            </div>

            <div class="mt-2">
                <label for="status"> Durum</label>
                <div class="form-group">
                    <input type="radio" id="_true" [value]="true" formControlName="status">

                    <label for="_true">Teslim Edildi</label>
                    &nbsp;

                    <input type="radio" id="_false" [value]="false" formControlName="status">
                    <label for="_false">Teslim Edilmedi</label>
                </div>
            </div>
            <div class="mt-2">
                <ng-select id="rental-userName" class="form-control" formControlName="userName" [items]="filteredUsers"
                    bindLabel="userName" placeholder="Select a user" [(ngModel)]="selectedUser"
                    (change)="SearchTermChange($event)"></ng-select>
            </div>
        </form>

    </ng-template>


    <ng-template #abpFooter>
        <button type="button" class="btn btn-secondary" abpClose>
            {{ '::Close' | abpLocalization }}
        </button>

        <button class="btn btn-primary" (click)="save()" [disabled]="formGroup.invalid">
            <i class="fa fa-check mr-2"></i>
            {{ '::Save' | abpLocalization }}
        </button>
    </ng-template>
</abp-modal>